## IdeFrameHeader IdeFrameHeader — The header above document stacks |

## Functions

GtkWidget * | ide_frame_header_new ()
void | ide_frame_header_add_custom_title ()

## Properties

GdkRGBA * | background-rgba | Write
GdkRGBA * | foreground-rgba | Write
gboolean | modified | Read / Write
gboolean | show-close-button | Read / Write
gchar * | title | Read / Write

## Types and Values

#define | IDE_TYPE_FRAME_HEADER
| IdeFrameHeader

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── DzlPriorityBox
                            ╰── IdeFrameHeader

## Implemented Interfaces

IdeFrameHeader implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

The IdeFrameHeader is the titlebar widget above stacks of documents. It is used to add state when a given document is in view.

It can also track the primary color of the content and update it's styling to match.

## Functions

### ide_frame_header_new ()

    GtkWidget *
    ide_frame_header_new (void);

### ide_frame_header_add_custom_title ()

    void
    ide_frame_header_add_custom_title (IdeFrameHeader *self,
                                       GtkWidget *widget,
                                       gint priority);

This will add `widget` to the title area with `priority` determining the sort order of the child.

All "title" widgets in the IdeFrameHeader are expanded to the same size. So if you don't need that, you should just use the normal `gtk_container_add_with_properties()` API to specify your widget with a given priority.

#### Parameters

self | a IdeFrameHeader |
widget | a GtkWidget |
priority | the sort priority |

Since: 3.32

## Types and Values

### IDE_TYPE_FRAME_HEADER

    #define IDE_TYPE_FRAME_HEADER (ide_frame_header_get_type())

### IdeFrameHeader

    typedef struct _IdeFrameHeader IdeFrameHeader;

## Property Details

### The `“background-rgba”` property

      “background-rgba”          GdkRGBA *

The "background-rgba" property can be used to set the background color of the header. This should be set to the “primary-color” of the active view.

Set to `NULL` to unset the primary-color.

Owner: IdeFrameHeader

Flags: Write

Since: 3.32

### The `“foreground-rgba”` property

      “foreground-rgba”          GdkRGBA *

Sets the foreground color to use when “background-rgba” is used for the background.

Owner: IdeFrameHeader

Flags: Write

Since: 3.32

### The `“modified”` property

      “modified”                 gboolean

If the current document is modified.

Owner: IdeFrameHeader

Flags: Read / Write

Default value: FALSE

### The `“show-close-button”` property

      “show-close-button”        gboolean

If the close button should be displayed.

Owner: IdeFrameHeader

Flags: Read / Write

Default value: FALSE

### The `“title”` property

      “title”                    gchar *

The title of the current document or view.

Owner: IdeFrameHeader

Flags: Read / Write

Default value: NULL